<template>
  <div>
    <div class="h1 mb-8">Review and confirm photo.</div>
    <input @change="handleFileUpload" type="file" class="hidden" ref="file" accept="image/png,image/jpg">
    <div
      class="bg-defaults bg-white bg-opacity-50 rounded-lg mb-5 relative photo"
      :style="`background-image: url(${value})`"
    >
      <div
        class="rounded-md px-4 py-3 flex space-x-2 bg-green-lightest cursor-pointer absolute right-3 bottom-3"
        @click="isOptionsShown = true"
      >
        <img src="@/assets/img/icons/camera.png" width="19px" alt="camera">
        <div
          class="text-xs text-green-black font-bold"
        >
          Retake
        </div>
      </div>
    </div>
    <common-btn
      text="Confirm"
      class="mb-5"
      @click="$emit('confirm')"
    />
    <PhotoWarning/>
    <transition name="fast-fade">
      <TakePhotoOptionsModal
        v-if="isOptionsShown"
        @upload="$refs.file.click()"
        @close="isOptionsShown = false"
      />
    </transition>
  </div>
</template>

<script>
import TakePhotoOptionsModal from "@/components/modals/TakePhotoOptionsModal";
import PhotoWarning from "@/components/misc/PhotoWarning";
export default {
  components: {PhotoWarning, TakePhotoOptionsModal},
  props: {
    value: {
      type: String,
      default: () => require('@/assets/img/misc/placeholder-image.png')
    }
  },
  name: "ConfirmPhoto",
  data() {
    return {
      isOptionsShown: false,
    }
  },
  methods: {
    handleFileUpload(event) {
      const imageFile = event.target.files[0]

      const reader = new FileReader()

      reader.onload = e => {
        this.$emit('input', e.target.result)
        this.$refs.file.value = ''
      }

      reader.readAsDataURL(imageFile)
    }
  }
}
</script>

<style scoped>
.photo {
  width: 100%;
  height: 220px;
}
</style>
